# Media Base URL `https://sniphunter.com/media` FFmpeg、音频 AI、OCR、文档与网页解析。 # Audio ## POST /api/v1/audio/adjust-volume Adjust Volume 音量调整 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AdjustVolumeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/audio/ai/status Ai Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/audio/align Align ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AlignRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/asr Asr ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TranscribeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/denoise Denoise Audio 人声降噪:engine=resemble(默认)| mossformer2-se(enhance_wav 裸推理)。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DenoiseAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/enhance Enhance 人声增强:engine=mossformer2-se-sr(默认)| resemble。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EnhanceRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/extract Extract Audio 从视频中提取音频 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ExtractAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/fade Fade Audio 淡入淡出 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FadeAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/format-convert Format Convert 音频格式转换 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FormatConvertRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/merge Merge Audio 音频拼接 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MergeAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/mix Mix Audio 音频混合(主音频+背景音乐) ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MixAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/segment Segment ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SegmentRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/split Split Audio 按时间切分音频(固定时长或等分 N 段) ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SplitAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/transform Transform Audio 音频变换(变速、变调、音效) ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TransformAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/trim Trim Audio 音频裁剪 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TrimAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/tts/audio-stream Audio Stream ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TTSStreamRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/tts/clone Tts Clone ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VoiceCloneRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/audio/tts/status Tts Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## GET /api/v1/audio/tts/streaming/status Streaming Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/audio/tts/synthesize Tts Synthesize ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TTSSynthesizeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/tts/voice-design Tts Voice Design 音色设计试听:自然语言 instruct → VoiceDesign GGUF 合成。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VoiceDesignRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/audio/tts/voices Tts Voices ```json { "parameters": [ { "name": "category", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Category" } }, { "name": "locale", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Locale" } }, { "name": "gender", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Gender" } }, { "name": "q", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Q" } }, { "name": "refresh", "in": "query", "required": false, "schema": { "type": "boolean", "default": false, "title": "Refresh" } } ], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/upload Upload Audio 上传音频文件 ```json { "requestBody": { "content": { "multipart/form-data": { "schema": { "$ref": "#/components/schemas/Body_upload_audio_api_v1_audio_upload_post" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/audio/voice-change/presets Voice Change Presets 检索常用变声目标音色示例(Qwen3-TTS 合成,供 Seed-VC 参考)。 ensure=false(默认)仅返回元数据与已缓存试听; ensure=true 会为当前检索结果合成缺失示例(可能较慢)。 ```json { "parameters": [ { "name": "q", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Q" } }, { "name": "gender", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Gender" } }, { "name": "locale", "in": "query", "required": false, "schema": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Locale" } }, { "name": "ensure", "in": "query", "required": false, "schema": { "type": "boolean", "default": false, "title": "Ensure" } } ], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/audio/voice-change/presets/{preset_id} Voice Change Preset Detail 单个变声预设详情;默认确保 Qwen3 试听音频可用。 ```json { "parameters": [ { "name": "preset_id", "in": "path", "required": true, "schema": { "type": "string", "title": "Preset Id" } }, { "name": "ensure", "in": "query", "required": false, "schema": { "type": "boolean", "default": true, "title": "Ensure" } } ], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/audio/voice-convert Voice Convert 音频变声(Seed-VC):支持自定义参考音或 Qwen3 预设音色。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VoiceConvertRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` # Image ## POST /api/v1/image/adjust Adjust Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AdjustRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/collage Collage Images ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CollageRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/colorize Colorize Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ColorizeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/compress Compress Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__CompressRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/convert Convert Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ConvertRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/crop Crop Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__CropRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/defog Defog Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DefogRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/doodle-watermark Doodle Watermark 涂鸦:doodle_data 为 base64 透明图 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__DoodleWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/effect Effect Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EffectRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/extend Extend Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ExtendRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/filter Filter Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/FilterRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/mirror Mirror Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MirrorRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/modify-md5 Modify Md5 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__ModifyMd5Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/mosaic Mosaic Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/MosaicRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/ocr Image Ocr GLM-OCR 图片转文字(通用 OCR / 中文 / 复杂文档 / 表格)。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ImageOcrRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/image/ocr/models Image Ocr Models OCR 可选模型目录(业务用 model= 自主选择)。 ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## GET /api/v1/image/ocr/status Image Ocr Service Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/image/resize Resize Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ResizeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/rotate Rotate Image ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RotateRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/sticker-watermark Sticker Watermark ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__StickerWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/stretch-recovery Stretch Recovery ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/StretchRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/text-watermark Text Watermark ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__image__TextWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/triple-cover Triple Cover ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TripleCoverRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/upload Upload Image ```json { "requestBody": { "content": { "multipart/form-data": { "schema": { "$ref": "#/components/schemas/Body_upload_image_api_v1_image_upload_post" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/watermark Add Watermark ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/WatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/watermark/detect Detect Image Watermark ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ImageWatermarkDetectRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/image/watermark/remove Remove Image Ai Watermark ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ImageWatermarkRemoveRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/image/watermark/status Image Watermark Service Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` # Video ## POST /api/v1/video/add-cover Add Cover 添加封面 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AddCoverRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/ai-watermark-removal Ai Watermark Removal 兼容旧「AI 去水印」路径:转发到 OpenCV inpaint(不再使用角落模糊 stub)。 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AiWatermarkRemovalRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/burn-subtitle Burn Subtitle 烧录硬字幕 ```json { "requestBody": { "content": { "application/json": { "schema": { "additionalProperties": true, "type": "object", "title": "Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/compress Compress Video 视频压缩 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__CompressRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/compression-v2 Compression V2 增强压缩 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CompressionV2Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/convert-format Convert Format 格式转换 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ConvertFormatRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/crop Crop Video 视频裁剪 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__CropRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/crop-v2 Crop V2 增强裁剪 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CropV2Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/doodle-watermark Doodle Watermark 涂鸦水印 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__DoodleWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/effect Video Effect 视频特效 ```json { "requestBody": { "content": { "application/json": { "schema": { "additionalProperties": true, "type": "object", "title": "Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/enhance Enhance Video ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VideoEnhanceRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/video/enhance/status Enhance Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/video/export-keyframe Export Keyframe 导出关键帧 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ExportKeyframeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/extract-frames Extract Frames 视频抽帧 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ExtractFramesRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/extract-shots Extract Shots 镜头提取 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ExtractShotsRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/filter Video Filter 视频滤镜 ```json { "requestBody": { "content": { "application/json": { "schema": { "additionalProperties": true, "type": "object", "title": "Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/modify-md5 Modify Md5 修改MD5 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__ModifyMd5Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/remove-original-sound Remove Original Sound 消除原声 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/RemoveOriginalSoundRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/reverse Reverse 视频倒放 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ReverseRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/smudge-removal Smudge Removal 视频涂抹消除 - 对选择区域应用模糊或马赛克效果 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SmudgeRemovalRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/sticker-watermark Sticker Watermark 贴纸水印 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__StickerWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/stitching Stitching 视频拼接 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/StitchingRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/story-compose Story Compose 图文视频合成:多图 Ken Burns + 口播 + 可选 BGM + ASS 硬字幕 ```json { "requestBody": { "content": { "application/json": { "schema": { "additionalProperties": true, "type": "object", "title": "Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/subtitle/detect Subtitle Detect ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SubtitleDetectRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/subtitle/remove Subtitle Remove ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SubtitleRemoveRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/video/subtitle/status Subtitle Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/video/symmetric-mirror Symmetric Mirror 对称镜像 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SymmetricMirrorRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/text-watermark Text Watermark 文字水印 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/api__endpoints__video__TextWatermarkRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/to-gif To Gif 视频转GIF ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ToGifRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/to-gif-v2 To Gif V2 增强转GIF ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ToGifV2Request" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/trim-duration Trim Duration 裁剪时长 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TrimDurationRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/upload Upload Video 上传视频文件 ```json { "requestBody": { "content": { "multipart/form-data": { "schema": { "$ref": "#/components/schemas/Body_upload_video_api_v1_video_upload_post" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/video-to-audio Video To Audio 视频转音频 ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VideoToAudioRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/watermark-remove Watermark Remove 视频水印去除(OpenCV inpaint;兼容旧 delogo 路径) ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/WatermarkRemoveRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/watermark/detect Watermark Detect ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/WatermarkDetectRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/video/watermark/remove Opencv Watermark Remove ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/OpenCVWatermarkRemoveRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/video/watermark/status Watermark Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` # Document ## GET /api/v1/document/formats List Formats ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## POST /api/v1/document/parse Parse Document ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DocumentParseRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## POST /api/v1/document/parse/upload Parse Document Upload ```json { "requestBody": { "content": { "multipart/form-data": { "schema": { "$ref": "#/components/schemas/Body_parse_document_upload_api_v1_document_parse_upload_post" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` # Web ## POST /api/v1/web/scrape Scrape Webpage ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/WebScrapeRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/web/status Web Status ```json { "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` # Tasks ## POST /api/v1/tasks Submit Media Task ```json { "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskSubmitRequest" } } }, "required": true }, "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` ## GET /api/v1/tasks/{task_id} Get Media Task ```json { "parameters": [ { "name": "task_id", "in": "path", "required": true, "schema": { "type": "string", "title": "Task Id" } } ], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } } } } ``` # Health ## GET / Root ```json { "security": [], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` ## GET /api/v1/health Health Check 健康检查 ```json { "security": [], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` # ready ## GET /api/v1/ready Ready Check 就绪检查(含任务队列背压指标) ```json { "security": [], "responses": { "200": { "description": "Successful Response", "content": { "application/json": { "schema": {} } } } } } ``` # Components ```json { "schemas": { "AddCoverRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "cover_url": { "type": "string", "title": "Cover Url" } }, "type": "object", "required": [ "video_url", "cover_url" ], "title": "AddCoverRequest", "description": "添加封面请求" }, "AdjustRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "brightness": { "type": "number", "title": "Brightness", "default": 1.0 }, "contrast": { "type": "number", "title": "Contrast", "default": 1.0 }, "saturation": { "type": "number", "title": "Saturation", "default": 1.0 }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "AdjustRequest" }, "AdjustVolumeRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "volume_factor": { "type": "number", "title": "Volume Factor" } }, "type": "object", "required": [ "audio_url", "volume_factor" ], "title": "AdjustVolumeRequest", "description": "音量调整请求" }, "AiWatermarkRemovalRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "mode": { "type": "string", "title": "Mode", "default": "auto" }, "platform_hint": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Platform Hint" }, "blur_intensity": { "type": "integer", "title": "Blur Intensity", "default": 50 } }, "type": "object", "required": [ "video_url" ], "title": "AiWatermarkRemovalRequest", "description": "AI去水印请求" }, "AlignRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "transcript": { "type": "string", "minLength": 1, "title": "Transcript" }, "language": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Language", "default": "Chinese" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "audio_url", "transcript" ], "title": "AlignRequest" }, "Body_parse_document_upload_api_v1_document_parse_upload_post": { "properties": { "file": { "type": "string", "format": "binary", "title": "File" }, "output": { "type": "string", "title": "Output", "default": "text" } }, "type": "object", "required": [ "file" ], "title": "Body_parse_document_upload_api_v1_document_parse_upload_post" }, "Body_upload_audio_api_v1_audio_upload_post": { "properties": { "file": { "type": "string", "format": "binary", "title": "File" } }, "type": "object", "required": [ "file" ], "title": "Body_upload_audio_api_v1_audio_upload_post" }, "Body_upload_image_api_v1_image_upload_post": { "properties": { "file": { "type": "string", "format": "binary", "title": "File" } }, "type": "object", "required": [ "file" ], "title": "Body_upload_image_api_v1_image_upload_post" }, "Body_upload_video_api_v1_video_upload_post": { "properties": { "file": { "type": "string", "format": "binary", "title": "File" } }, "type": "object", "required": [ "file" ], "title": "Body_upload_video_api_v1_video_upload_post" }, "CollageRequest": { "properties": { "image_urls": { "items": { "type": "string" }, "type": "array", "title": "Image Urls" }, "layout": { "type": "string", "title": "Layout", "default": "horizontal" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_urls" ], "title": "CollageRequest" }, "ColorizeRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "color_mode": { "type": "string", "title": "Color Mode", "default": "auto" } }, "type": "object", "required": [ "image_url" ], "title": "ColorizeRequest" }, "CompressionV2Request": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "preset": { "type": "string", "title": "Preset", "default": "wechat" }, "target_size_mb": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Target Size Mb" }, "resolution": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Resolution" }, "quality": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Quality" }, "fps": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Fps" } }, "type": "object", "required": [ "video_url" ], "title": "CompressionV2Request", "description": "增强压缩请求" }, "ConvertFormatRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp4" }, "preserve_quality": { "type": "boolean", "title": "Preserve Quality", "default": true }, "compatibility_mode": { "type": "boolean", "title": "Compatibility Mode", "default": false } }, "type": "object", "required": [ "video_url" ], "title": "ConvertFormatRequest", "description": "格式转换请求" }, "ConvertRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "ConvertRequest" }, "CropV2Request": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "mode": { "type": "string", "title": "Mode", "default": "ratio" }, "aspect_ratio": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Aspect Ratio" }, "platform": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Platform" }, "x": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "X" }, "y": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Y" }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width" }, "height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Height" }, "smart_tracking": { "type": "boolean", "title": "Smart Tracking", "default": false }, "output_resolution": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Output Resolution" } }, "type": "object", "required": [ "video_url" ], "title": "CropV2Request", "description": "增强裁剪请求" }, "DefogRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "intensity": { "type": "number", "title": "Intensity", "default": 0.5 }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "DefogRequest" }, "DenoiseAudioRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "engine": { "type": "string", "enum": [ "resemble", "mossformer2-se" ], "title": "Engine", "default": "resemble" } }, "type": "object", "required": [ "audio_url" ], "title": "DenoiseAudioRequest", "description": "音频降噪请求" }, "DocumentParseRequest": { "properties": { "file_url": { "type": "string", "minLength": 1, "title": "File Url", "description": "文档 http/https URL" }, "output": { "type": "string", "enum": [ "text", "markdown" ], "title": "Output", "default": "text" } }, "type": "object", "required": [ "file_url" ], "title": "DocumentParseRequest" }, "DoodlePathModel": { "properties": { "points": { "items": { "items": { "type": "integer" }, "type": "array" }, "type": "array", "title": "Points" }, "color": { "type": "string", "title": "Color", "default": "#FF0000" }, "width": { "type": "integer", "title": "Width", "default": 3 } }, "type": "object", "required": [ "points" ], "title": "DoodlePathModel", "description": "涂鸦路径" }, "EffectRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "effect": { "type": "string", "title": "Effect", "default": "sketch" }, "intensity": { "type": "number", "title": "Intensity", "default": 1.0 }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "EffectRequest" }, "EnhanceRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "mode": { "type": "string", "enum": [ "enhance", "denoise" ], "title": "Mode", "default": "enhance" }, "engine": { "type": "string", "enum": [ "mossformer2-se-sr", "resemble" ], "title": "Engine", "default": "mossformer2-se-sr" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "audio_url" ], "title": "EnhanceRequest" }, "ExportKeyframeRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "timestamp": { "type": "number", "title": "Timestamp", "default": 0.0 } }, "type": "object", "required": [ "video_url" ], "title": "ExportKeyframeRequest", "description": "导出关键帧请求" }, "ExtendRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "target_width": { "type": "integer", "title": "Target Width" }, "target_height": { "type": "integer", "title": "Target Height" }, "fill_color": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Fill Color" }, "position": { "type": "string", "title": "Position", "default": "center" } }, "type": "object", "required": [ "image_url", "target_width", "target_height" ], "title": "ExtendRequest" }, "ExtractAudioRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "audio_format": { "type": "string", "title": "Audio Format", "default": "mp3" } }, "type": "object", "required": [ "video_url" ], "title": "ExtractAudioRequest", "description": "音频提取请求" }, "ExtractFramesRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "frame_count": { "type": "integer", "title": "Frame Count", "default": 10 }, "start_time": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Start Time" }, "end_time": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "End Time" } }, "type": "object", "required": [ "video_url" ], "title": "ExtractFramesRequest", "description": "抽帧请求" }, "ExtractShotsRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "threshold": { "type": "number", "title": "Threshold", "default": 12.8 }, "min_shot_length": { "type": "number", "title": "Min Shot Length", "default": 0.35 }, "max_shot_length": { "type": "number", "title": "Max Shot Length", "default": 12.5 } }, "type": "object", "required": [ "video_url" ], "title": "ExtractShotsRequest", "description": "镜头提取请求" }, "FadeAudioRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "fade_in_duration": { "type": "number", "title": "Fade In Duration", "default": 1.0 }, "fade_out_duration": { "type": "number", "title": "Fade Out Duration", "default": 1.0 } }, "type": "object", "required": [ "audio_url" ], "title": "FadeAudioRequest", "description": "淡入淡出请求" }, "FilterRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "filter_type": { "type": "string", "title": "Filter Type", "default": "blur" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "FilterRequest" }, "FormatConvertRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "target_format": { "type": "string", "title": "Target Format", "default": "mp3" }, "bitrate": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Bitrate" } }, "type": "object", "required": [ "audio_url" ], "title": "FormatConvertRequest", "description": "格式转换请求" }, "HTTPValidationError": { "properties": { "detail": { "items": { "$ref": "#/components/schemas/ValidationError" }, "type": "array", "title": "Detail" } }, "type": "object", "title": "HTTPValidationError" }, "ImageOcrRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "task": { "type": "string", "enum": [ "text", "table", "formula", "document" ], "title": "Task", "default": "text" }, "model": { "type": "string", "enum": [ "glm-ocr", "pp-ocrv5" ], "title": "Model", "description": "业务自主选型:glm-ocr(MLX/Metal,复杂文档)| pp-ocrv5(高吞吐纯文字)", "default": "glm-ocr" }, "prompt": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt" }, "return_layout": { "type": "boolean", "title": "Return Layout", "default": true } }, "type": "object", "required": [ "image_url" ], "title": "ImageOcrRequest" }, "ImageWatermarkDetectRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" } }, "type": "object", "required": [ "image_url" ], "title": "ImageWatermarkDetectRequest" }, "ImageWatermarkRegion": { "properties": { "x": { "type": "integer", "minimum": 0.0, "title": "X" }, "y": { "type": "integer", "minimum": 0.0, "title": "Y" }, "width": { "type": "integer", "minimum": 1.0, "title": "Width" }, "height": { "type": "integer", "minimum": 1.0, "title": "Height" } }, "type": "object", "required": [ "x", "y", "width", "height" ], "title": "ImageWatermarkRegion" }, "ImageWatermarkRemoveRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "regions": { "anyOf": [ { "items": { "$ref": "#/components/schemas/ImageWatermarkRegion" }, "type": "array" }, { "type": "null" } ], "title": "Regions" }, "mask_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Mask Url" }, "auto_detect": { "type": "boolean", "title": "Auto Detect", "default": true }, "dilate_px": { "type": "integer", "maximum": 64.0, "minimum": 0.0, "title": "Dilate Px", "default": 6 }, "output_format": { "type": "string", "enum": [ "png", "jpg", "jpeg", "webp" ], "title": "Output Format", "default": "png" }, "output_quality": { "type": "integer", "maximum": 100.0, "minimum": 1.0, "title": "Output Quality", "default": 95 } }, "type": "object", "required": [ "image_url" ], "title": "ImageWatermarkRemoveRequest" }, "InpaintPixelRegion": { "properties": { "x": { "type": "integer", "minimum": 0.0, "title": "X" }, "y": { "type": "integer", "minimum": 0.0, "title": "Y" }, "width": { "type": "integer", "minimum": 1.0, "title": "Width" }, "height": { "type": "integer", "minimum": 1.0, "title": "Height" } }, "type": "object", "required": [ "x", "y", "width", "height" ], "title": "InpaintPixelRegion" }, "MergeAudioRequest": { "properties": { "audio_urls": { "items": { "type": "string" }, "type": "array", "title": "Audio Urls" }, "interval": { "type": "number", "title": "Interval", "default": 0.0 }, "fade_duration": { "type": "number", "title": "Fade Duration", "default": 0.5 }, "crossfade": { "type": "boolean", "title": "Crossfade", "default": false }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" } }, "type": "object", "required": [ "audio_urls" ], "title": "MergeAudioRequest", "description": "音频拼接请求" }, "MirrorRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "direction": { "type": "string", "title": "Direction", "default": "horizontal" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "MirrorRequest" }, "MixAudioRequest": { "properties": { "main_audio_url": { "type": "string", "title": "Main Audio Url" }, "background_audio_url": { "type": "string", "title": "Background Audio Url" }, "main_volume": { "type": "number", "title": "Main Volume", "default": 1.0 }, "background_volume": { "type": "number", "title": "Background Volume", "default": 0.3 }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" }, "main_delay": { "type": "number", "title": "Main Delay", "default": 0.0 } }, "type": "object", "required": [ "main_audio_url", "background_audio_url" ], "title": "MixAudioRequest", "description": "音频混合请求" }, "MosaicRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "block_size": { "type": "integer", "title": "Block Size", "default": 16 }, "x": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "X" }, "y": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Y" }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width" }, "height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Height" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "MosaicRequest" }, "OpenCVWatermarkRemoveRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "regions": { "anyOf": [ { "items": { "$ref": "#/components/schemas/PercentRegion" }, "type": "array" }, { "type": "null" } ], "title": "Regions" }, "auto_detect": { "type": "boolean", "title": "Auto Detect", "default": true }, "detection_sensitivity": { "type": "string", "title": "Detection Sensitivity", "default": "medium" }, "quality": { "type": "string", "title": "Quality", "default": "standard" }, "processing_height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Processing Height" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp4" }, "region_unit": { "type": "string", "enum": [ "pixel", "percent" ], "title": "Region Unit", "default": "pixel" } }, "type": "object", "required": [ "video_url" ], "title": "OpenCVWatermarkRemoveRequest" }, "PercentRegion": { "properties": { "x": { "type": "number", "minimum": 0.0, "title": "X" }, "y": { "type": "number", "minimum": 0.0, "title": "Y" }, "width": { "type": "number", "exclusiveMinimum": 0.0, "title": "Width" }, "height": { "type": "number", "exclusiveMinimum": 0.0, "title": "Height" } }, "type": "object", "required": [ "x", "y", "width", "height" ], "title": "PercentRegion" }, "Region": { "properties": { "x": { "type": "number", "title": "X", "default": 0 }, "y": { "type": "number", "title": "Y", "default": 0 }, "width": { "type": "number", "title": "Width", "default": 0 }, "height": { "type": "number", "title": "Height", "default": 0 } }, "type": "object", "title": "Region" }, "RegionModel": { "properties": { "x": { "type": "integer", "title": "X" }, "y": { "type": "integer", "title": "Y" }, "width": { "type": "integer", "title": "Width" }, "height": { "type": "integer", "title": "Height" } }, "type": "object", "required": [ "x", "y", "width", "height" ], "title": "RegionModel", "description": "区域模型" }, "RemoveOriginalSoundRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" } }, "type": "object", "required": [ "video_url" ], "title": "RemoveOriginalSoundRequest", "description": "消除原声请求" }, "ResizeRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width" }, "height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Height" }, "scale": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Scale" }, "maintain_aspect": { "type": "boolean", "title": "Maintain Aspect", "default": true } }, "type": "object", "required": [ "image_url" ], "title": "ResizeRequest" }, "ReverseRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" } }, "type": "object", "required": [ "video_url" ], "title": "ReverseRequest", "description": "倒放请求" }, "RotateRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "angle": { "type": "number", "title": "Angle", "default": 90 }, "expand": { "type": "boolean", "title": "Expand", "default": true }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "RotateRequest" }, "SegmentRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "strategy": { "type": "string", "title": "Strategy", "default": "auto" }, "stems": { "type": "integer", "title": "Stems", "default": 2 }, "output_format": { "type": "string", "enum": [ "mp3", "wav" ], "title": "Output Format", "default": "mp3" } }, "type": "object", "required": [ "audio_url" ], "title": "SegmentRequest" }, "SmudgeRemovalRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "regions": { "items": { "$ref": "#/components/schemas/RegionModel" }, "type": "array", "title": "Regions" }, "blur_intensity": { "type": "integer", "title": "Blur Intensity", "default": 30 } }, "type": "object", "required": [ "video_url", "regions" ], "title": "SmudgeRemovalRequest", "description": "涂抹消除请求" }, "SplitAudioRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "segment_duration": { "type": "number", "title": "Segment Duration", "default": 30.0 }, "parts": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Parts" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" }, "max_segments": { "type": "integer", "title": "Max Segments", "default": 50 } }, "type": "object", "required": [ "audio_url" ], "title": "SplitAudioRequest", "description": "音频按时间分割请求" }, "StitchingRequest": { "properties": { "video_urls": { "items": { "type": "string" }, "type": "array", "title": "Video Urls" } }, "type": "object", "required": [ "video_urls" ], "title": "StitchingRequest", "description": "拼接请求" }, "StretchRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "target_ratio": { "type": "string", "title": "Target Ratio", "default": "16:9" }, "mode": { "type": "string", "title": "Mode", "default": "crop" }, "fill_color": { "type": "string", "title": "Fill Color", "default": "#000000" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "StretchRequest" }, "SubtitleDetectRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" } }, "type": "object", "required": [ "video_url" ], "title": "SubtitleDetectRequest" }, "SubtitleRemoveRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "region": { "anyOf": [ { "$ref": "#/components/schemas/InpaintPixelRegion" }, { "type": "null" } ] }, "mode": { "type": "string", "enum": [ "standard", "high", "fast" ], "title": "Mode", "default": "standard" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp4" } }, "type": "object", "required": [ "video_url" ], "title": "SubtitleRemoveRequest" }, "SymmetricMirrorRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "direction": { "type": "string", "title": "Direction", "default": "horizontal" } }, "type": "object", "required": [ "video_url" ], "title": "SymmetricMirrorRequest", "description": "镜像请求" }, "TTSStreamRequest": { "properties": { "text": { "type": "string", "maxLength": 5000, "minLength": 1, "title": "Text" }, "engine": { "type": "string", "enum": [ "edge", "qwen3" ], "title": "Engine", "default": "edge" }, "voice_id": { "anyOf": [ { "type": "string", "maxLength": 128, "minLength": 1 }, { "type": "null" } ], "title": "Voice Id" }, "speed": { "type": "number", "maximum": 2.0, "minimum": 0.5, "title": "Speed", "default": 1.0 }, "pitch": { "type": "number", "maximum": 12.0, "minimum": -12.0, "title": "Pitch", "default": 0.0 }, "output_format": { "anyOf": [ { "type": "string", "enum": [ "mp3", "pcm" ] }, { "type": "null" } ], "title": "Output Format" }, "instruct": { "anyOf": [ { "type": "string", "maxLength": 1000 }, { "type": "null" } ], "title": "Instruct" }, "language": { "anyOf": [ { "type": "string", "maxLength": 32, "minLength": 1 }, { "type": "null" } ], "title": "Language" } }, "additionalProperties": false, "type": "object", "required": [ "text" ], "title": "TTSStreamRequest" }, "TTSSynthesizeRequest": { "properties": { "text": { "type": "string", "maxLength": 5000, "minLength": 1, "title": "Text" }, "voice_id": { "type": "string", "title": "Voice Id", "default": "xiaoxiao" }, "speed": { "type": "number", "maximum": 2.0, "minimum": 0.5, "title": "Speed", "default": 1.0 }, "pitch": { "type": "number", "maximum": 12.0, "minimum": -12.0, "title": "Pitch", "default": 0.0 }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" }, "engine": { "type": "string", "enum": [ "edge", "qwen3" ], "title": "Engine", "default": "edge" }, "emotion": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Emotion" }, "prompt_audio_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt Audio Url" }, "prompt_text": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt Text" }, "instruct": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Instruct" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "text" ], "title": "TTSSynthesizeRequest" }, "TaskSubmitRequest": { "properties": { "kind": { "type": "string", "title": "Kind", "description": "任务类型: video-subtitle, video-watermark, video-enhance, image-watermark, image-ocr, audio-asr, audio-align, audio-enhance, audio-denoise, audio-segment, audio-tts, audio-clone, audio-voice-design, audio-voice-convert" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "output_format": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Output Format" }, "video_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Video Url" }, "region": { "anyOf": [ { "$ref": "#/components/schemas/Region" }, { "type": "null" } ] }, "mode": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Mode" }, "regions": { "anyOf": [ { "items": { "$ref": "#/components/schemas/Region" }, "type": "array" }, { "type": "null" } ], "title": "Regions" }, "auto_detect": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "title": "Auto Detect" }, "detection_sensitivity": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Detection Sensitivity" }, "quality": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Quality" }, "processing_height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Processing Height" }, "region_unit": { "anyOf": [ { "type": "string", "enum": [ "pixel", "percent" ] }, { "type": "null" } ], "title": "Region Unit" }, "scale": { "anyOf": [ { "type": "integer", "maximum": 4.0, "minimum": 1.0 }, { "type": "null" } ], "title": "Scale" }, "face_enhance": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "title": "Face Enhance" }, "denoise": { "anyOf": [ { "type": "boolean" }, { "type": "null" } ], "title": "Denoise" }, "image_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Image Url" }, "mask_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Mask Url" }, "dilate_px": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Dilate Px" }, "output_quality": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Output Quality" }, "audio_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Audio Url" }, "language": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Language" }, "model": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Model" }, "transcript": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Transcript" }, "text": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Text" }, "voice_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Voice Id" }, "speed": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Speed" }, "pitch": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Pitch" }, "engine": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Engine" }, "emotion": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Emotion" }, "prompt_audio_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt Audio Url" }, "instruct": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Instruct" }, "prompt_text": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt Text" }, "voice_name": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Voice Name" }, "strategy": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Strategy" }, "stems": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Stems" } }, "type": "object", "required": [ "kind" ], "title": "TaskSubmitRequest" }, "ToGifRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "fps": { "type": "integer", "title": "Fps", "default": 10 } }, "type": "object", "required": [ "video_url" ], "title": "ToGifRequest", "description": "转GIF请求" }, "ToGifV2Request": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "start_time": { "type": "number", "title": "Start Time", "default": 0.0 }, "end_time": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "End Time" }, "fps": { "type": "integer", "title": "Fps", "default": 10 }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width", "default": 480 }, "quality": { "type": "integer", "title": "Quality", "default": 80 }, "loop_count": { "type": "integer", "title": "Loop Count", "default": 0 } }, "type": "object", "required": [ "video_url" ], "title": "ToGifV2Request", "description": "增强转GIF请求" }, "TranscribeRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "language": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Language" }, "model": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Model" } }, "type": "object", "required": [ "audio_url" ], "title": "TranscribeRequest" }, "TransformAudioRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "speed_factor": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Speed Factor" }, "pitch_factor": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Pitch Factor" }, "voice_effect": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Voice Effect" } }, "type": "object", "required": [ "audio_url" ], "title": "TransformAudioRequest", "description": "音频变换请求" }, "TrimAudioRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "start_time": { "type": "number", "title": "Start Time" }, "end_time": { "type": "number", "title": "End Time" }, "output_format": { "type": "string", "title": "Output Format", "default": "mp3" } }, "type": "object", "required": [ "audio_url", "start_time", "end_time" ], "title": "TrimAudioRequest", "description": "音频裁剪请求" }, "TrimDurationRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "start_time": { "type": "number", "title": "Start Time" }, "end_time": { "type": "number", "title": "End Time" } }, "type": "object", "required": [ "video_url", "start_time", "end_time" ], "title": "TrimDurationRequest", "description": "裁剪时长请求" }, "TripleCoverRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "style": { "type": "string", "title": "Style", "default": "horizontal" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "TripleCoverRequest" }, "ValidationError": { "properties": { "loc": { "items": { "anyOf": [ { "type": "string" }, { "type": "integer" } ] }, "type": "array", "title": "Location" }, "msg": { "type": "string", "title": "Message" }, "type": { "type": "string", "title": "Error Type" } }, "type": "object", "required": [ "loc", "msg", "type" ], "title": "ValidationError" }, "VideoEnhanceRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" }, "scale": { "type": "integer", "maximum": 4.0, "minimum": 1.0, "title": "Scale", "default": 1 }, "face_enhance": { "type": "boolean", "title": "Face Enhance", "default": true }, "denoise": { "type": "boolean", "title": "Denoise", "default": true }, "output_format": { "type": "string", "title": "Output Format", "default": "mp4" } }, "type": "object", "required": [ "video_url" ], "title": "VideoEnhanceRequest" }, "VideoToAudioRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" } }, "type": "object", "required": [ "video_url" ], "title": "VideoToAudioRequest", "description": "视频转音频请求" }, "VoiceCloneRequest": { "properties": { "audio_url": { "type": "string", "title": "Audio Url" }, "text": { "type": "string", "maxLength": 5000, "minLength": 1, "title": "Text" }, "prompt_text": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Prompt Text" }, "language": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Language", "default": "Chinese" }, "instruct": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Instruct" }, "voice_name": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Voice Name" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "audio_url", "text" ], "title": "VoiceCloneRequest" }, "VoiceConvertRequest": { "properties": { "source_url": { "type": "string", "minLength": 1, "title": "Source Url" }, "reference_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Reference Url", "description": "自定义目标音色参考音频 URL;与 preset_id 二选一" }, "preset_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Preset Id", "description": "常用变声预设(Qwen3-TTS 合成参考音);与 reference_url 二选一" }, "version": { "type": "string", "enum": [ "v1", "v2" ], "title": "Version", "description": "v1=DiT(inference.py);v2=CFM+AR(inference_v2.py)", "default": "v1" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "source_url" ], "title": "VoiceConvertRequest", "description": "音频变声(Seed-VC):source 内容 → 参考音色 / 预设音色。" }, "VoiceDesignRequest": { "properties": { "text": { "type": "string", "maxLength": 5000, "minLength": 1, "title": "Text", "description": "试听文案" }, "instruct": { "type": "string", "maxLength": 1000, "minLength": 1, "title": "Instruct", "description": "音色自然语言描述" }, "language": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Language", "default": "Chinese" }, "output_format": { "type": "string", "title": "Output Format", "default": "wav" }, "voice_name": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Voice Name" }, "task_id": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Task Id" } }, "type": "object", "required": [ "text", "instruct" ], "title": "VoiceDesignRequest", "description": "自然语言音色设计(Qwen3 VoiceDesign)试听合成。" }, "WatermarkDetectRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "sensitivity": { "type": "string", "title": "Sensitivity", "default": "medium" } }, "type": "object", "required": [ "video_url" ], "title": "WatermarkDetectRequest" }, "WatermarkRemoveRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "regions": { "items": { "$ref": "#/components/schemas/RegionModel" }, "type": "array", "title": "Regions" } }, "type": "object", "required": [ "video_url", "regions" ], "title": "WatermarkRemoveRequest", "description": "水印去除请求" }, "WatermarkRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "watermark_text": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Watermark Text" }, "watermark_image_url": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Watermark Image Url" }, "position": { "type": "string", "title": "Position", "default": "bottom_right" }, "opacity": { "type": "number", "title": "Opacity", "default": 0.5 }, "font_size": { "type": "integer", "title": "Font Size", "default": 24 }, "position_x": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Position X" }, "position_y": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Position Y" } }, "type": "object", "required": [ "image_url" ], "title": "WatermarkRequest" }, "WebScrapeRequest": { "properties": { "url": { "type": "string", "minLength": 1, "title": "Url", "description": "网页 http/https URL" }, "fetch": { "type": "string", "enum": [ "auto", "http", "browser" ], "title": "Fetch", "default": "auto" }, "pruning_threshold": { "type": "number", "maximum": 1.0, "minimum": 0.0, "title": "Pruning Threshold", "default": 0.45 } }, "type": "object", "required": [ "url" ], "title": "WebScrapeRequest" }, "api__endpoints__image__CompressRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "quality": { "type": "integer", "title": "Quality", "default": 85 }, "max_width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Max Width" }, "max_height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Max Height" } }, "type": "object", "required": [ "image_url" ], "title": "CompressRequest" }, "api__endpoints__image__CropRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "x": { "type": "integer", "title": "X", "default": 0 }, "y": { "type": "integer", "title": "Y", "default": 0 }, "width": { "type": "integer", "title": "Width" }, "height": { "type": "integer", "title": "Height" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url", "width", "height" ], "title": "CropRequest" }, "api__endpoints__image__DoodleWatermarkRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "doodle_data": { "type": "string", "title": "Doodle Data" }, "position_x": { "type": "integer", "title": "Position X", "default": 0 }, "position_y": { "type": "integer", "title": "Position Y", "default": 0 }, "opacity": { "type": "number", "title": "Opacity", "default": 1.0 } }, "type": "object", "required": [ "image_url", "doodle_data" ], "title": "DoodleWatermarkRequest" }, "api__endpoints__image__ModifyMd5Request": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "output_format": { "type": "string", "title": "Output Format", "default": "png" } }, "type": "object", "required": [ "image_url" ], "title": "ModifyMd5Request" }, "api__endpoints__image__StickerWatermarkRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "sticker_url": { "type": "string", "title": "Sticker Url" }, "position_x": { "type": "integer", "title": "Position X", "default": 10 }, "position_y": { "type": "integer", "title": "Position Y", "default": 10 }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width" }, "height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Height" } }, "type": "object", "required": [ "image_url", "sticker_url" ], "title": "StickerWatermarkRequest" }, "api__endpoints__image__TextWatermarkRequest": { "properties": { "image_url": { "type": "string", "title": "Image Url" }, "text": { "type": "string", "title": "Text" }, "position_x": { "type": "integer", "title": "Position X", "default": 10 }, "position_y": { "type": "integer", "title": "Position Y", "default": 10 }, "font_size": { "type": "integer", "title": "Font Size", "default": 20 }, "color": { "type": "string", "title": "Color", "default": "white" }, "opacity": { "type": "number", "title": "Opacity", "default": 0.8 } }, "type": "object", "required": [ "image_url", "text" ], "title": "TextWatermarkRequest" }, "api__endpoints__video__CompressRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "target_size_mb": { "anyOf": [ { "type": "number" }, { "type": "null" } ], "title": "Target Size Mb" }, "quality": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Quality", "default": "medium" } }, "type": "object", "required": [ "video_url" ], "title": "CompressRequest", "description": "视频压缩请求" }, "api__endpoints__video__CropRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "x": { "type": "integer", "title": "X" }, "y": { "type": "integer", "title": "Y" }, "width": { "type": "integer", "title": "Width" }, "height": { "type": "integer", "title": "Height" } }, "type": "object", "required": [ "video_url", "x", "y", "width", "height" ], "title": "CropRequest", "description": "视频裁剪请求" }, "api__endpoints__video__DoodleWatermarkRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "paths": { "items": { "$ref": "#/components/schemas/DoodlePathModel" }, "type": "array", "title": "Paths" }, "stroke_color": { "type": "string", "title": "Stroke Color", "default": "#FF0000" }, "stroke_width": { "type": "integer", "title": "Stroke Width", "default": 3 } }, "type": "object", "required": [ "video_url", "paths" ], "title": "DoodleWatermarkRequest", "description": "涂鸦水印请求" }, "api__endpoints__video__ModifyMd5Request": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "target_md5": { "anyOf": [ { "type": "string" }, { "type": "null" } ], "title": "Target Md5" } }, "type": "object", "required": [ "video_url" ], "title": "ModifyMd5Request", "description": "修改MD5请求" }, "api__endpoints__video__StickerWatermarkRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "sticker_path": { "type": "string", "title": "Sticker Path" }, "position_x": { "type": "integer", "title": "Position X", "default": 10 }, "position_y": { "type": "integer", "title": "Position Y", "default": 10 }, "width": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Width" }, "height": { "anyOf": [ { "type": "integer" }, { "type": "null" } ], "title": "Height" } }, "type": "object", "required": [ "video_url", "sticker_path" ], "title": "StickerWatermarkRequest", "description": "贴纸水印请求" }, "api__endpoints__video__TextWatermarkRequest": { "properties": { "video_url": { "type": "string", "title": "Video Url" }, "text": { "type": "string", "title": "Text" }, "position_x": { "type": "integer", "title": "Position X", "default": 10 }, "position_y": { "type": "integer", "title": "Position Y", "default": 10 }, "font_size": { "type": "integer", "title": "Font Size", "default": 20 }, "color": { "type": "string", "title": "Color", "default": "white" } }, "type": "object", "required": [ "video_url", "text" ], "title": "TextWatermarkRequest", "description": "文字水印请求" } }, "securitySchemes": { "ServiceApiKey": { "type": "apiKey", "in": "header", "name": "X-API-Key", "description": "服务间密钥,鉴权是否启用由部署配置决定。" } } } ```